Subject: Re: bug#43837: 28.0.50; [NS] Internal border of inactive frame loses color

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Oct 2020 10:19:35 +0300

> Date: Tue, 6 Oct 2020 21:37:15 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked]
> 
> > 1. M-: (setq test-frame (make-frame '((left . 50) (top . 50))))
> > 2. C-x 5 o
> > 3. M-: (set-face-background 'internal-border "blue" test-frame)
> > 4. M-: (modify-frame-parameters test-frame '((background-color . "black")))
> > 
> > Now (face-background 'internal-border test-frame) returns nil.
> > If we skip step 2, then the internal border color remains.
> 
> This isn't an NS specific problem. Eli actually spotted the bug last
> year and put in a FIXME.

It was me?

> I can't think of a good reason for the code to use the selected frame,
> but perhaps I'm missing something.

Heh, I went through the rabbit hole and arrived at the same fix, now
installed on master.  Let's see what will it break, and then perhaps
we will understand why the old code used selected-frame there...

Thanks.